PDA

View Full Version : [SOLVED] NameError: global name 'yumvar' is not defined


OriginalLoxxy
9th April 2011, 09:43 AM
Newbie to Yum and Fedora please be patient :)



Could some some kind soul please help me with the following issue:
When selecting or removing any software source, click check now, authenticate correctly then receive:


Failed to change status
An internal system error has occured


Traceback (most recent call last):
File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 2828, in repo_enable
repo.enablePersistent()
File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 402, in enablePersistent
config.writeRawRepoFile(self,only=['enabled'])
File "/usr/lib/python2.7/site-packages/yum/config.py", line 1063, in writeRawRepoFile
ovalue == varReplace(ini[section_id][name], yumvar)):
NameError: global name 'yumvar' is not defined

leigh123linux
9th April 2011, 09:50 AM
post



su
yum -v update

OriginalLoxxy
9th April 2011, 10:03 AM
[root@magnus will]# yum -v update
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.112
Yum Version: 3.2.29
Setting up Package Sacks
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rpmfusion-free. Please verify its path and try again



post

su
yum -v update

leigh123linux
9th April 2011, 10:07 AM
Ok, try


su
yum clean all
yum -v update

OriginalLoxxy
9th April 2011, 10:15 AM
result:



Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.112
Yum Version: 3.2.29
Setting up Package Sacks
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rpmfusion-free. Please verify its path and try again
[root@magnus will]# su
[root@magnus will]# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: adobe-linux-i386 google-chrome rawhide rpmfusion-free
: rpmfusion-free-rawhide rpmfusion-free-updates
: rpmfusion-free-updates-testing rpmfusion-nonfree
: rpmfusion-nonfree-rawhide rpmfusion-nonfree-updates
: rpmfusion-nonfree-updates-testing updates updates-source
Cleaning up Everything
0 delta-package files removed, by presto
[root@magnus will]# yum -v update
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.124
Yum Version: 3.2.29
Setting up Package Sacks
adobe-linux-i386 | 951 B 00:00
adobe-linux-i386/primary | 12 kB 00:00
google-chrome | 951 B 00:00
google-chrome/primary | 1.4 kB 00:00
rawhide/metalink | 23 kB 00:00
rawhide | 3.8 kB 00:00
rawhide/primary_db | 11 MB 01:38
rawhide/group | 1.8 MB 00:15
rpmfusion-free-rawhide | 3.3 kB 00:00
rpmfusion-free-rawhide/primary_db | 373 kB 00:03
rpmfusion-free-rawhide/group | 9.8 kB 00:00
rpmfusion-nonfree-rawhide | 3.3 kB 00:00
rpmfusion-nonfree-rawhide/primary_db | 135 kB 00:01
rpmfusion-nonfree-rawhide/group | 4.7 kB 00:00
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
adobe-linux-i386 18/18
google-chrome 3/3
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rpmfusion-free. Please verify its path and try again

leigh123linux
9th April 2011, 10:40 AM
Try


su
yum -v --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates update

OriginalLoxxy
9th April 2011, 11:15 AM
ok was still looking at the rpmfusion repo's, opened up /etc/yum.repos.d and set enabled flags from 1 to 0 for the rpmfusion repos - now getting the following:


[root@magnus will]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again



Tried


su
yum clean all
yum -v update

[root@magnus will]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again
[root@magnus will]# yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: adobe-linux-i386 google-chrome rawhide updates updates-source
Cleaning up Everything
0 delta-package files removed, by presto
[root@magnus will]# yum -v update
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.120
Yum Version: 3.2.29
Setting up Package Sacks
adobe-linux-i386 | 951 B 00:00
adobe-linux-i386/primary | 12 kB 00:00
google-chrome | 951 B 00:00
google-chrome/primary | 1.4 kB 00:00
rawhide/metalink | 19 kB 00:00
Using older repomd.xml
Latest: Sat Apr 9 09:46:23 2011
Using: Fri Apr 8 09:41:17 2011
rawhide | 3.8 kB 00:00
rawhide/primary_db | 11 MB 01:38
rawhide/group | 1.8 MB 00:15
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
adobe-linux-i386 18/18
google-chrome 3/3
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again
[root@magnus will]#

leigh123linux
9th April 2011, 11:22 AM
Try


su
yum -v --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source update

OriginalLoxxy
9th April 2011, 11:52 AM
ran above:



[root@magnus will]# yum -v --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source update
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.131
repo time: 0.247
Yum Version: 3.2.29
Setting up Package Sacks
pkgsack time: 0.155
rpmdb time: 0.000
Setting up Update Process
Updating Everything
Building updates object
up:Obs Init time: 0.313
up:simple updates time: 0.040
up:obs time: 0.007
up:condense time: 0.000
updates time: 1.384
Not Updating Package that is already updated: boost-filesystem.i686 0:1.46.0-1.fc15
Not Updating Package that is already updated: webkitgtk.i686 0:1.3.13-1.fc15
Not Updating Package that is already updated: boost-system.i686 0:1.46.0-1.fc15
Not Updating Package that is already updated: libicu.i686 0:4.4.2-7.fc15
Resolving Dependencies
--> Running transaction check
---> Package boost-filesystem.i686 0:1.46.0-1.fc15 will be updated
Checking deps for boost-filesystem.i686 0:1.46.0-1.fc15 - ud
gnote-0.7.3-8.fc15.i686 requires: libboost_filesystem-mt.so.1.46.0
--> Processing Dependency: libboost_filesystem-mt.so.1.46.0 for package: gnote-0.7.3-8.fc15.i686
Needed Require is not a package name. Looking up: libboost_filesystem-mt.so.1.46.0
Potential Provider: boost-filesystem.i686 0:1.46.0-1.fc15
Mode is ud for provider of libboost_filesystem-mt.so.1.46.0: boost-filesystem.i686 0:1.46.0-1.fc15
Mode for pkg providing libboost_filesystem-mt.so.1.46.0: ud
Trying to update gnote-0.7.3-8.fc15.i686 to resolve dep
No update paths found for gnote-0.7.3-8.fc15.i686. Failure!
Searching pkgSack for dep: libboost_filesystem-mt.so.1.46.0
---> Package boost-filesystem.i686 0:1.46.1-2.fc16 will be an update
Checking deps for boost-filesystem.i686 0:1.46.1-2.fc16 - u
looking for ('libboost_system-mt.so.1.46.1', None, (None, None, None)) as a requirement of boost-filesystem.i686 0:1.46.1-2.fc16 - u
looking for ('libboost_system.so.1.46.1', None, (None, None, None)) as a requirement of boost-filesystem.i686 0:1.46.1-2.fc16 - u
---> Package boost-system.i686 0:1.46.0-1.fc15 will be updated
Checking deps for boost-system.i686 0:1.46.0-1.fc15 - ud
gnote-0.7.3-8.fc15.i686 requires: libboost_system-mt.so.1.46.0
--> Processing Dependency: libboost_system-mt.so.1.46.0 for package: gnote-0.7.3-8.fc15.i686
Needed Require is not a package name. Looking up: libboost_system-mt.so.1.46.0
Potential Provider: boost-system.i686 0:1.46.0-1.fc15
Mode is ud for provider of libboost_system-mt.so.1.46.0: boost-system.i686 0:1.46.0-1.fc15
Mode for pkg providing libboost_system-mt.so.1.46.0: ud
Trying to update gnote-0.7.3-8.fc15.i686 to resolve dep
No update paths found for gnote-0.7.3-8.fc15.i686. Failure!
Searching pkgSack for dep: libboost_system-mt.so.1.46.0
---> Package boost-system.i686 0:1.46.1-2.fc16 will be an update
Checking deps for boost-system.i686 0:1.46.1-2.fc16 - u
---> Package libicu.i686 0:4.4.2-7.fc15 will be updated
Checking deps for libicu.i686 0:4.4.2-7.fc15 - ud
webkitgtk3-1.3.13-1.fc15.i686 requires: libicudata.so.44
--> Processing Dependency: libicudata.so.44 for package: webkitgtk3-1.3.13-1.fc15.i686
Needed Require is not a package name. Looking up: libicudata.so.44
Potential Provider: libicu.i686 0:4.4.2-7.fc15
Mode is ud for provider of libicudata.so.44: libicu.i686 0:4.4.2-7.fc15
Mode for pkg providing libicudata.so.44: ud
Trying to update webkitgtk3-1.3.13-1.fc15.i686 to resolve dep
No update paths found for webkitgtk3-1.3.13-1.fc15.i686. Failure!
Searching pkgSack for dep: libicudata.so.44
webkitgtk3-1.3.13-1.fc15.i686 requires: libicui18n.so.44
--> Processing Dependency: libicui18n.so.44 for package: webkitgtk3-1.3.13-1.fc15.i686
Needed Require is not a package name. Looking up: libicui18n.so.44
Potential Provider: libicu.i686 0:4.4.2-7.fc15
Mode is ud for provider of libicui18n.so.44: libicu.i686 0:4.4.2-7.fc15
Mode for pkg providing libicui18n.so.44: ud
Trying to update webkitgtk3-1.3.13-1.fc15.i686 to resolve dep
No update paths found for webkitgtk3-1.3.13-1.fc15.i686. Failure!
Searching pkgSack for dep: libicui18n.so.44
webkitgtk3-1.3.13-1.fc15.i686 requires: libicuuc.so.44
--> Processing Dependency: libicuuc.so.44 for package: webkitgtk3-1.3.13-1.fc15.i686
Needed Require is not a package name. Looking up: libicuuc.so.44
Potential Provider: libicu.i686 0:4.4.2-7.fc15
Mode is ud for provider of libicuuc.so.44: libicu.i686 0:4.4.2-7.fc15
Mode for pkg providing libicuuc.so.44: ud
Trying to update webkitgtk3-1.3.13-1.fc15.i686 to resolve dep
No update paths found for webkitgtk3-1.3.13-1.fc15.i686. Failure!
Searching pkgSack for dep: libicuuc.so.44
---> Package libicu.i686 0:4.6-2.fc16 will be an update
Checking deps for libicu.i686 0:4.6-2.fc16 - u
---> Package webkitgtk.i686 0:1.3.13-1.fc15 will be updated
Checking deps for webkitgtk.i686 0:1.3.13-1.fc15 - ud
---> Package webkitgtk.i686 0:1.3.13-1.fc16 will be an update
Checking deps for webkitgtk.i686 0:1.3.13-1.fc16 - u
looking for ('libicui18n.so.46', None, (None, None, None)) as a requirement of webkitgtk.i686 0:1.3.13-1.fc16 - u
looking for ('libicuuc.so.46', None, (None, None, None)) as a requirement of webkitgtk.i686 0:1.3.13-1.fc16 - u
looking for ('libicudata.so.46', None, (None, None, None)) as a requirement of webkitgtk.i686 0:1.3.13-1.fc16 - u
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 19.796
Error: Package: webkitgtk3-1.3.13-1.fc15.i686 (@fedora/15)
Requires: libicui18n.so.44
Removing: libicu-4.4.2-7.fc15.i686 (@koji-override-0/$releasever)
libicui18n.so.44
Updated By: libicu-4.6-2.fc16.i686 (rawhide)
Not found
Error: Package: gnote-0.7.3-8.fc15.i686 (@koji-override-0/$releasever)
Requires: libboost_system-mt.so.1.46.0
Removing: boost-system-1.46.0-1.fc15.i686 (@updates-testing/15)
libboost_system-mt.so.1.46.0
Updated By: boost-system-1.46.1-2.fc16.i686 (rawhide)
Not found
Error: Package: webkitgtk3-1.3.13-1.fc15.i686 (@fedora/15)
Requires: libicudata.so.44
Removing: libicu-4.4.2-7.fc15.i686 (@koji-override-0/$releasever)
libicudata.so.44
Updated By: libicu-4.6-2.fc16.i686 (rawhide)
Not found
Error: Package: gnote-0.7.3-8.fc15.i686 (@koji-override-0/$releasever)
Requires: libboost_filesystem-mt.so.1.46.0
Removing: boost-filesystem-1.46.0-1.fc15.i686 (@updates-testing/15)
libboost_filesystem-mt.so.1.46.0
Updated By: boost-filesystem-1.46.1-2.fc16.i686 (rawhide)
Not found
Error: Package: webkitgtk3-1.3.13-1.fc15.i686 (@fedora/15)
Requires: libicuuc.so.44
Removing: libicu-4.4.2-7.fc15.i686 (@koji-override-0/$releasever)
libicuuc.so.44
Updated By: libicu-4.6-2.fc16.i686 (rawhide)
Not found
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

leigh123linux
9th April 2011, 11:57 AM
Try

su
yum -v --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source,rawhide update

OriginalLoxxy
9th April 2011, 12:00 PM
[root@magnus will]# yum -v --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source,rawhide update
Not loading "blacklist" plugin, as it is disabled
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_GB to language list
Config time: 0.131
repo time: 0.004
Yum Version: 3.2.29
Setting up Package Sacks
pkgsack time: 0.007
rpmdb time: 0.000
Setting up Update Process
Updating Everything
Building updates object
up:Obs Init time: 0.001
up:simple updates time: 0.000
up:obs time: 0.000
up:condense time: 0.000
updates time: 0.418
No Packages marked for Update
[root@magnus will]#



tried running

yum update




[root@magnus will]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: Cannot retrieve repository metadata (repomd.xml) for repository: updates. Please verify its path and try again
[root@magnus will]#

leigh123linux
9th April 2011, 12:13 PM
Ok, post

yum repolistand

yum repolist --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source,rawhide

OriginalLoxxy
9th April 2011, 12:16 PM
[root@magnus will]# yum repolist
Loaded plugins: langpacks, presto, refresh-packagekit
updates/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-f16&arch=i386 error was
No repomd file
updates-source/metalink | 19 kB 00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f16&arch=i386 error was
No repomd file
Error: File /var/cache/yum/i386/16/updates/metalink.xml does not exist
[root@magnus will]# yum repolist --disablerepo=rpmfusion-free-updates-testing,rpmfusion-free-updates,rpmfusion-nonfree-updates-testing,rpmfusion-nonfree-updates,updates,updates-source,rawhide
Loaded plugins: langpacks, presto, refresh-packagekit
repo id repo name status
adobe-linux-i386 Adobe Systems Incorporated 18
google-chrome google-chrome 3
repolist: 21

leigh123linux
9th April 2011, 12:24 PM
Ok post


rpm -qa |grep fedora-releaseand

rpm -qV fedora-release fedora-release-rawhide

OriginalLoxxy
9th April 2011, 12:36 PM
I forgot to say thank you for your time on this, its very much appreciated:

[root@magnus will]# rpm -qa |grep fedora-release
fedora-release-16-0.1.noarch
fedora-release-notes-14.95.0-1.fc16.noarch
fedora-release-rawhide-16-0.1.noarch

[root@magnus will]# rpm -qV fedora-release fedora-release-rawhide
...T..... c /etc/yum.repos.d/fedora-updates-testing.repo
5..T..... c /etc/yum.repos.d/fedora-updates.repo
...T..... c /etc/yum.repos.d/fedora-rawhide.repo

leigh123linux
9th April 2011, 12:49 PM
Ok try


su
rpm -Uvh --replacefiles --replacepkgs --oldpackage http://kojipkgs.fedoraproject.org/packages/fedora-release/15/0.7/noarch/fedora-release-15-0.7.noarch.rpm http://kojipkgs.fedoraproject.org/packages/fedora-release/15/0.7/noarch/fedora-release-rawhide-15-0.7.noarch.rpm
yum clean all
yum -v update

OriginalLoxxy
9th April 2011, 01:10 PM
you sir, are a legend, thank you very much :)